Page MenuHomePhabricator

ServiceContainer: Allow extensions to manipulate services upon creation
Closed, ResolvedPublic

Description

Rationale: Extensions need an opportunity to register their SlotRoleHandlers when the SlotRoleRegistery service is first instantiated by the ServiceContainer.

Event Timeline

daniel triaged this task as Normal priority.May 20 2018, 3:30 PM
daniel created this task.

Change 434142 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] [MCR] Allow extensions to manipulate service instances

https://gerrit.wikimedia.org/r/434142

Tgr added a subscriber: Tgr.May 24 2018, 10:21 AM
Ladsgroup moved this task from blocked on others to monitoring on the Wikidata board.
Vvjjkkii renamed this task from ServiceContainer: Allow extensions to manipulate services upon creation to rkcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii removed daniel as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Mainframe98 renamed this task from rkcaaaaaaa to ServiceContainer: Allow extensions to manipulate services upon creation.Jul 1 2018, 7:13 AM
Mainframe98 assigned this task to daniel.
Mainframe98 lowered the priority of this task from High to Normal.
Mainframe98 updated the task description. (Show Details)
Mainframe98 added subscribers: Aklapper, gerritbot.

Change 434142 merged by jenkins-bot:
[mediawiki/core@master] [MCR] Allow extensions to manipulate service instances

https://gerrit.wikimedia.org/r/434142

daniel closed this task as Resolved.Nov 20 2018, 10:00 AM

Patch was merged long ago

greg added a project: Multimedia.Mar 7 2019, 10:59 PM